Subject: Re: Serving to Mac OSX Beta

From: "Joe Rhodes" <[email-masked]>
Date: Wed, 15 Nov 2000 17:05:23 -0600

I've had similar trouble.  I could log into my machine and view the files in 
one share but the other share appeared to be empty.  As it turns out, that 
particular problem was that the "empty" directory has no write permissions 
and Mac OS X wants to create a file called .DS_Store  (It's on my HFS 
desktop now in OS 9)  I could not copy files from the other share even 
though they did show up.

However, from a command line, I could copy files.  My guess it's something 
to do with that little "mystery file" but I don't know what.

Just my $.02

-Joe Rhodes

>From: Segfault <[email-masked]>
>To: Matthew Geier <[email-masked]>
>CC: <[email-masked]>
>Subject: Re: Serving to Mac OSX Beta
>Date: Wed, 15 Nov 2000 03:15:35 -0800
>
>Hi,
>
>I've also played around with using Netatalk (netatalk-asun-2.1.3nb4 on
>NetBSD i386) to serve Mac OS X.
>
>I don't think Mac OS X likes it at all. I've heard issues like yours,
>where upon login, you can see all the files, but they are zero length.
>But I don't recall any conclusive answers to these problems. :-(
>
>It seems to me, that this is a problem with directory and how they are
>read on MOSX Finder from Netatalk. There are some directories in which
>all files are zero length, and other directories whose files are non-zero
>length.
>
>Nonetheless, I cannot seem to open files directly from them (zero-length
>or not). I can copy them to my directories the finder and then open them
>without problem. However, attempts to copy them directly through the
>terminal window, seems crash the system to a grinding halt (or perhaps
>the GUI)
>
>I wonder whether this is a problem with caching. The exact same
>directories are readable/unreadable each time the share is mounted, hence
>MOSX may have cached, which directories are readable and which are not--
>even renaming the directory, the renamed directory is still readable/
>unreadable as before.
>
>Any one else has any clues?
>
>Later,
>
>Lucas.
>
>Am 2000.11.15 sagte Matthew Geier:
>
> >
> > Any one else playing with this. I seem to have some problems. While I
> >can connect and login, see all the files and icons, all the files are 0k
> >in lenght.
> > The server is working fine for 'classic' clients, so what ever is wrong
> >is somthing in the way the OSX AFP client interacts with NetATalk.
> > The OSX machine also connects to our ASIP 6.2 server and CAN see files
> >properly. (I would expect that Apple tested that one... :-)
> >
> >--
> >Matthew Geier			[email-masked]
> >Arts IT Unit			+61 2 9351 4713
> >Sydney University
>

_____________________________________________________________________________________
Get more from the Web.  FREE MSN Explorer download : http://explorer.msn.com

---

From: Ryan McBeth <[email-masked]>
Date: Thu, 16 Nov 2000 07:34:35 -0500

You know, I was having the same problem.  Part of me isn't worried 
because It will be a long time before we migrate to OSX Clients, but 
this is probably something that we need to take a look at.

I'll admit to the group that I'm not the world's best programmer, or 
the world's best SysAdmin (feel free to contradict me if you want :-) 
).  But on thing that I know how to do is think of creative 
workarounds.  So what if we mounted everything to the linux machine 
via NFS.  Humm, maybe a bad idea since people do silly thing like 
turn their computers off.  Ok, so what if we got a single iMac 
running OS X Client, shared specific directories with Macintosh file 
sharing.  Then, mounted these shares via NFS on linux.  People should 
be able to see the linux box as if it were an icon on their desktop, 
but one Mac OS X machine is acting as the bridge.

If this a good workaround for now?

Ryan

At 17:05 -0600 15/11/2000, Joe Rhodes wrote:
>I've had similar trouble.  I could log into my machine and view the 
>files in one share but the other share appeared to be empty.  As it 
>turns out, that particular problem was that the "empty" directory 
>has no write permissions and Mac OS X wants to create a file called 
>.DS_Store  (It's on my HFS desktop now in OS 9)  I could not copy 
>files from the other share even though they did show up.
>
>However, from a command line, I could copy files.  My guess it's 
>something to do with that little "mystery file" but I don't know 
>what.
>
>Just my $.02
>
>-Joe Rhodes
>
>
>

__________________________________
Ryan McBeth
Systems Administrator, Mobius New Media
Voice: (302) 475-9880 x11
FAX: (302) 475-9894
www.mobiusnm.com
__________________________________
If you want to achieve excellence, you can get there today. As of 
this second, quit doing less-than-excellent work.
-Thomas Watson, founder of IBM